<?php namespace App\ViewModels\Arquivo\ArquivoListViewModel;


use App\Utils\Builder;

class ArquivoListViewModelBuilder implements Builder
{
    protected $id;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $id_pet;
    protected $arquivo;
    protected $descricao;
    protected $tutor_view;
    protected $data_criacao;
    protected $ext;

    public function setTutorView($tutor_view)
    {
        $this->tutor_view = $tutor_view;
        return $this;
    }

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }
    
    public function setId_Pet($idpet)
    {
    	$this->id_pet = $idpet;
    	return $this;
    }
    
    public function setExt($ext)
    {
    	$this->ext = $ext;
    	return $this;
    }

    public function setIdClinica($id_clinica)
    {
        $this->id_clinica = $id_clinica;
        return $this;
    }

    public function setIdMedico($id_medico)
    {
        $this->id_medico = $id_medico;
        return $this;
    }

    public function setIdPaciente($id_paciente)
    {
        $this->id_paciente = $id_paciente;
        return $this;
    }

    public function setArquivo($arquivo)
    {
        $this->arquivo = $arquivo;
        return $this;
    }

    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }
    
    public function setDataCriacao($data_criacao){
        $this->data_criacao = $data_criacao;
        return $this;
    }

    public function build() : ArquivoListViewModel
    {
        $arquivo = new ArquivoListViewModel();
        $arquivo->setId($this->id);
        $arquivo->setIdClinica($this->id_clinica);
        $arquivo->setIdMedico($this->id_medico);
        $arquivo->setIdPaciente($this->id_paciente);
        $arquivo->setId_Pet($this->id_pet);
        $arquivo->setdescricao($this->descricao);
        $arquivo->setArquivo($this->arquivo);
        $arquivo->setTutorView($this->tutor_view);
        $arquivo->setExt($this->ext);
        $arquivo->setDataCriacao($this->data_criacao);
        return $arquivo;
    }


}